Module | Ramaze::Bin::Runner
In: | lib/ramaze/bin/runner.rb

Module used for running a particular command based on the specified command line arguments.

Usage:

       ramaze --help # Shows a help message
       ramaze -h     # Shows a help message as well
       ramaze -v     # Shows the version of Ramaze

       ramaze [COMMAND] # Runs [COMMAND]

@author Yorick Peterse @since 21-07-2011

### Methods

commands_info run

### Constants

Commands | = | { :start => Ramaze::Bin::Start, :stop => Ramaze::Bin::Stop, :restart => Ramaze::Bin::Restart, :status => Ramaze::Bin::Status, :create => Ramaze::Bin::Create, :console => Ramaze::Bin::Console, } |  | Hash containing all the available commands, their names and their classes.
Banner | = | <<-TXT.strip Ramaze is a simple, light and modular open-source web application framework written in Ruby. Usage: ramaze [COMMAND] [OPTIONS] Example: ramaze create blog TXT .strip |  | String containing the banner of the main command.

### Public Class methods

commands_info()

Generates an array of "rows" where each row contains the name and description of a command. The descriptions of all commands are aligned based on the length of the longest command name.

@author Yorick Peterse @since 21-07-2011 @return [Array]

run(argv=ARGV)

Runs a particular command based on the specified array.

@example

     Ramaze::Bin::Runner.run(ARGV)
     Ramaze::Bin::Runner.run(['start', '--help'])

@author Yorick Peterse @since 21-07-2011 @param [Array] argv An array containing command line arguments, set to

     ARGV by default.

[Validate]